::  Meno: Martin Janitor 
::  Datum: 26.2.2023
::  Verzia: 1.0
::  Uprava: Modifikacia suboru postup pre uspesne 
::          generovanie ECC certifikatov s vyuzitim 
::          predpripravenych konfiguracnych suborov


rem Priklad postupu na vytvorenie ECC certifikatov
::----------------------------------------------

::1. Generovanie certifikatu autority
::  1.1 Vygenerovanie sukromneho kluca autority pomocou krivky prime256v1 
    openssl ecparam -genkey -name prime256v1 -out myCA.key
::  1.2 Vygenerovanie certifikatu autority s dobou platnosti 1 rok
	  openssl req -x509 -config certificate-authority-options.conf -new -nodes -key myCA.key -sha256 -days 365 -out myCA.pem
::2. Generovanie certifikatu servera
::  2.1 Vygenerovanie sukromneho kluca servera pomocou krivky prime256v1
    openssl ecparam -genkey -name prime256v1 -out server.key
::  2.2 Vytvorenie ziadosti servera o podpis certifikatu autoritou
    openssl req -config options.conf -new -key server.key -out server_ziadost.csr
::  2.3 Vygenerovanie podpisaneho certifikatu autoritou s dobou platnosti 1 rok
    openssl x509 -req -in server_ziadost.csr -CA myCA.pem -CAkey myCA.key -CAcreateserial -out server.pem -days 365 -sha256 -extfile server.ext
::3. Generovanie certifikatu klienta
::  3.1 Vygenerovanie sukromneho kluca klienta pomocou krivky prime256v1
    openssl ecparam -genkey -name prime256v1 -out client.key
::  3.2 Vytvorenie ziadosti klienta o podpis certifikatu autoritou
    openssl req -config options.conf -new -key client.key -out klient_ziadost.csr
::  3.3 Vygenerovanie podpisaneho certifikatu autoritou s dobou platnosti 1 rok
    openssl x509 -req -in klient_ziadost.csr -CA myCA.pem -CAkey myCA.key -CAcreateserial -out client.pem -days 365 -sha256 -extfile client.ext